Bug 563240 - curl: Stack based buffer overflow by automatic decompression of zlib compressed data [Fedora all]
Summary: curl: Stack based buffer overflow by automatic decompression of zlib compress...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: curl
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Kamil Dudka
QA Contact: Fedora Extras Quality Assurance
URL: http://fedoraproject.org/wiki/Securit...
Whiteboard:
Depends On:
Blocks: CVE-2010-0734
TreeView+ depends on / blocked
 
Reported: 2010-02-09 16:21 UTC by Jan Lieskovsky
Modified: 2010-03-13 02:23 UTC (History)
1 user (show)

Fixed In Version: curl-7.19.7-5.fc11
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-09 03:29:27 UTC
Type: ---


Attachments (Terms of Use)

Description Jan Lieskovsky 2010-02-09 16:21:29 UTC
This is an automatically created tracking bug! It was created to ensure that one or more security vulnerabilities are fixed in affected Fedora versions.

For comments that are specific to the vulnerability please use bugs filed against "Security Response" product referenced in "Blocks" field.

bug #563220:
curl: Stack based buffer overflow by automatic decompression of zlib compressed data

When creating a Bodhi update request, please include the bug IDs of the respective parent bugs filed against the "Security Response" product. Please mention CVE ids in the RPM changelog when available.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=563220

Please note: this issue affects multiple supported versions of Fedora.  Only one tracking bug has been filed; please only close it when all affected versions are fixed.

For more information see: http://fedoraproject.org/wiki/Security/TrackingBugs

Comment 1 Fedora Update System 2010-02-22 16:00:51 UTC
curl-7.19.7-7.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/curl-7.19.7-7.fc12

Comment 2 Fedora Update System 2010-02-22 16:00:56 UTC
curl-7.19.7-5.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/curl-7.19.7-5.fc11

Comment 3 Fedora Update System 2010-02-22 17:34:00 UTC
curl-7.19.7-7.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/curl-7.19.7-7.fc12

Comment 4 Fedora Update System 2010-02-22 17:36:03 UTC
curl-7.19.7-5.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/curl-7.19.7-5.fc11

Comment 5 Fedora Update System 2010-02-22 17:36:39 UTC
curl-7.19.7-7.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/curl-7.19.7-7.fc12

Comment 6 Fedora Update System 2010-02-22 17:44:04 UTC
curl-7.19.7-5.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/curl-7.19.7-5.fc11

Comment 7 Fedora Update System 2010-02-24 06:01:54 UTC
curl-7.19.7-5.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update curl'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2010-2720

Comment 8 Fedora Update System 2010-02-24 06:13:58 UTC
curl-7.19.7-7.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update curl'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2010-2762

Comment 9 Fedora Update System 2010-03-09 03:29:17 UTC
curl-7.19.7-7.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2010-03-13 02:23:28 UTC
curl-7.19.7-5.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.